Bug 249485 - 'fsid=num' is listed under NFS client options, but it is a server-only option.
'fsid=num' is listed under NFS client options, but it is a server-only option.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide (Show other bugs)
5.5
All Linux
low Severity low
: ---
: ---
Assigned To: Jaromir Hradilek
ecs-bugs
http://www.redhat.com/docs/manuals/en...
:
Depends On:
Blocks: 561649
  Show dependency treegraph
 
Reported: 2007-07-24 19:15 EDT by Stefan Lasiewski
Modified: 2011-01-16 18:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-16 18:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Lasiewski 2007-07-24 19:15:50 EDT
Description of problem:

I am reading the "Red Hat Enterprise Linux Deployment Guide" for Red Hat
Enterprise Linux 5. There is an error in Chapter "18.4. Common NFS Mount Options".

This chapter mentions the 'fsid=num ' option, and says that "These options can
be used with manual mount commands, /etc/fstab settings, and autofs." Please see
the URL above for the specific paragraph.

This is incorrect. The "fsid=" option can only be used by a NFS server when
exporting NFS filesystems.

'fsid' is not a valid  NFS client option, and cannot be used with manual mount
commands, /etc/fstab settings, or autofs.

Steps to Reproduce:

1. For example, I have the following NFS options in /etc/fstab. 

nfs1:/export1/test      /mnt/test          nfs     vers=3,fsid=6666 0 0

2. However, these options will fail, with a "Bad nfs mount parameter" error:

root@host:~ $ mount /mnt/test
Bad nfs mount parameter: fsid


Additional info:

In addition, 'fsid' is not mentioned in the NFS clientNFS(5) man page. This
parameter is discussed in the EXPORTS(5) man page.


Version-Release number of selected component (if applicable):

This error is present in the documentation for Red Hat Enterprise Linux 5, and
for Red Hat Enterprise Linux 4.
Comment 3 Douglas Silas 2009-09-29 14:36:01 EDT
Changed product to RHEL Deployment Guide 5 (though applies to RHEL 4 DG as well, noted).
Comment 4 Florian Nadge 2010-05-24 12:42:09 EDT
Seems the chapter 18.4 has now become 19.4. Could not find any mentioning of mountpoints in 19.4. If you have more details, please let me know.
Comment 5 Florian Nadge 2010-05-28 07:54:11 EDT
Hi,
As it says in chapter 19.4 of the deployment guide?
Is it true that the fsid=num ' option can be used with manual mount commands, /etc/fstab settings, and autofs.
Comment 8 Jaromir Hradilek 2010-10-21 12:53:45 EDT
Fixed in Red_Hat_Enterprise_Linux-Deployment_Guide-5-en-US-6-24.el5.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Deployment_Guide/s1-nfs-client-config-options.html
Comment 9 Andrew Ross 2010-10-21 17:06:30 EDT
Verified: Red_Hat_Enterprise_Linux-Deployment_Guide-5-web-en-US-6-24.el5

No mention of fsid mount option.

Note You need to log in before you can comment on or make changes to this bug.